import { ApolloClient } from '@apollo/client';
import { NetworkStatus, UseApolloNetworkStatusOptions } from 'react-apollo-network-status/dist/src/useApolloNetworkStatus';
export interface IApolloClientGeneratorOptions {
    initialStore?: any;
    token?: string;
    client?: string;
    secret?: string;
    ssl?: boolean;
    path?: string;
    headers?: any;
    ws?: boolean;
    relative?: boolean;
}
export declare function generateHeaders(options: IApolloClientGeneratorOptions): any;
export interface IApolloClient<T> extends ApolloClient<T> {
    jwt_token?: string;
    path?: string;
    ssl?: boolean;
    useApolloNetworkStatus?: (options?: UseApolloNetworkStatusOptions | undefined) => NetworkStatus;
}
export declare function generateApolloClient(options: IApolloClientGeneratorOptions, forwardingArguments?: {
    ApolloClient?: any;
    InMemoryCache?: any;
}): ApolloClient<any>;
